# Package org.apache.felix.ipojo.composite.service.provides

Class Summary
CompositionMetadata: Check and build a composition, i.e.
FieldMetadata: Field used inside a composition.
MethodMetadata: Information on Method for the composition.
POJOWriter: Create the Proxy class.
ProvidedService: Composite Provided Service.
ProvidedServiceHandler: Composite Provided Service Handler.
ProvidedServiceHandlerDescription: Provided Service Handler Description for composite.
ServiceExporter: Export an service from the scope to the parent context.
SpecificationMetadata: Represent a service specification.

Exception Summary
CompositionException: Exception occurs when a composition error occurs.